HPP Settings

Get HPP Settings

get

Retrieve the Hosted Payment Page (HPP) configuration settings for the terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: String
get
/rest/v2/settings/terminal/hpp

Create HPP Settings

post

Create and configure Hosted Payment Page (HPP) settings for a terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Contains the Hosted Payment Page configuration details for the terminal.

hpp-public-keystringRequired

Public key used to encrypt payment data on the Hosted Payment Page.

Example: String
enabledboolean · enumRequired

Indicates whether the Hosted Payment Page (HPP) settings are enabled for the terminal. Set true (enable) or false (disable).

Example: truePossible values:
hpp-domainstringRequired

HTTPS domain URL where the Hosted Payment Page is hosted.

Example: https://example.com
Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: String
post
/rest/v2/settings/terminal/hpp

Update HPP Settings

put

Update the Hosted Payment Page (HPP) settings for a terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Contains the Hosted Payment Page configuration details for the terminal.

hpp-public-keystringRequired

Public key used to encrypt payment data on the Hosted Payment Page.

Example: String
enabledboolean · enumRequired

Indicates whether the Hosted Payment Page (HPP) settings are enabled for the terminal. Set true (enable) or false (disable).

Example: truePossible values:
hpp-domainstringRequired

HTTPS domain URL where the Hosted Payment Page is hosted.

Example: https://example.com
Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: String
put
/rest/v2/settings/terminal/hpp

Delete HPP Settings

delete

Delete the Hosted Payment Page (HPP) configuration settings for the terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: String
delete
/rest/v2/settings/terminal/hpp

Last updated

Was this helpful?